This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 493638 - Review Request: kcometen4 - An OpenGL screensaver with exploding comets for KDE4
Review Request: kcometen4 - An OpenGL screensaver with exploding comets for KDE4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Armin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 09:30 EDT by nucleo
Modified: 2009-04-21 21:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0.4-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
feng.shaun: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description nucleo 2009-04-02 09:30:26 EDT
Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/kcometen4/kcometen4.spec
SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/kcometen4/kcometen4-1.0.4-1.fc10.src.rpm
Description: 
KCometen4 is an OpenGL KDE screensaver. Inside a box is a nifty light show that features lightning and exploding comets. It lets you configure various effects like comet behavior, camera movement, box face images, etc.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1273244

$ rpmlint kcometen4-1.0.4-1.fc10.src.rpm kcometen4-1.0.4-1.fc10.i386.rpm kcometen4-debuginfo-1.0.4-1.fc10.i386.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Armin 2009-04-06 22:27:07 EDT
I won't mention the things that are okay.

MUST:

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9] NOT_DONE

MUST: Each package must consistently use macros.  (see line 34 and 38, $RPM_BUILD_ROOT ond ${RPM_BUILD_ROOT}

SHOULD:

nothing (yet)

I will continue the rest of the review tomorrow.  It's not complete yet.
Comment 2 nucleo 2009-04-07 02:25:44 EDT
(In reply to comment #1)
> MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9] NOT_DONE

This package doesn't includes any translations files in %{_datadir}/locale/*
%find_lang  is useless in this package.
http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
 
> MUST: Each package must consistently use macros.  (see line 34 and 38,
> $RPM_BUILD_ROOT ond ${RPM_BUILD_ROOT}
This style of defining the rpm Build Root can be used.
http://fedoraproject.org/wiki/Packaging
/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
Comment 3 Armin 2009-04-07 16:00:59 EDT
Yes, this package meets all the criteria.

builds just fine in koji and no rpmlint errors.  Good job.  I will ask rdieter to double check it (since it's my first time), but I would approve it :)
Comment 4 Rex Dieter 2009-04-07 16:18:29 EDT
> I won't mention the things that are okay.

In many cases, it is worth mentioning, esp some important ones like mentioning
licensing checks/audits, source checksums, scriptlets, rpmlint output...

Otherwise nucleo is right (wrt locales), but for buildroot consistency, use the
same buildroot reference, ie, dont' use ${RPM_BUILD_ROOT} in one place and
$RPM_BUILD_ROOT in another.

Otherwise, looks good.
Comment 5 nucleo 2009-04-07 17:19:43 EDT
(In reply to comment #1)
> MUST: Each package must consistently use macros.  (see line 34 and 38,
> $RPM_BUILD_ROOT ond ${RPM_BUILD_ROOT}

(In reply to comment #4)
> but for buildroot consistency, use the
> same buildroot reference, ie, dont' use ${RPM_BUILD_ROOT} in one place and
> $RPM_BUILD_ROOT in another.

- fixed Build Root

New Spec URL: http://nucleo.fedorapeople.org/pkg-reviews/kcometen4/kcometen4.spec
New SRPM URL: http://nucleo.fedorapeople.org/pkg-reviews/kcometen4/kcometen4-1.0.4-2.fc10.src.rpm
Comment 6 Armin 2009-04-07 20:05:05 EDT
Approved.  Waiting to install this kss :)
Comment 7 nucleo 2009-04-08 02:20:29 EDT
(In reply to comment #6)
> Approved.  Waiting to install this kss :)  

Thank you for review.



New Package CVS Request
=======================
Package Name: kcometen4
Short Description: An OpenGL screensaver with exploding comets for KDE4
Owners: nucleo
Branches: F-9 F-10 F-11
InitialCC:
Comment 8 nucleo 2009-04-08 10:42:27 EDT
New Package CVS Request
=======================
Package Name: kcometen4
Short Description: An OpenGL screensaver with exploding comets for KDE4
Owners: nucleo
Branches: F-9 F-10
InitialCC:
Comment 9 Kevin Fenzi 2009-04-09 19:39:06 EDT
cvs done.
Comment 10 Fedora Update System 2009-04-09 20:26:43 EDT
kcometen4-1.0.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kcometen4-1.0.4-2.fc10
Comment 11 Fedora Update System 2009-04-09 20:28:10 EDT
kcometen4-1.0.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kcometen4-1.0.4-2.fc9
Comment 12 Fedora Update System 2009-04-13 15:47:01 EDT
kcometen4-1.0.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kcometen4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3626
Comment 13 Fedora Update System 2009-04-13 15:47:15 EDT
kcometen4-1.0.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kcometen4'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3630
Comment 14 Fedora Update System 2009-04-21 21:02:38 EDT
kcometen4-1.0.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-04-21 21:07:47 EDT
kcometen4-1.0.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.